/*******************************************************************************
 * FoxAIControllerInterface_WanderingFighter generated by Eliot.UELib using UE Explorer.
 * Eliot.UELib ? 2009-2015 Eliot van Uytfanghe. All rights reserved.
 * http://eliotvu.com
 *
 * All rights belong to their respective owners.
 *******************************************************************************/
class FoxAIControllerInterface_WanderingFighter extends FoxAIControllerInterface_Idler
    hidecategories(Navigation,Look,Path,Error,Movement,Display,Attachment,Object,Advanced,Physics,Collision);

defaultproperties
{
    begin object name=Throw class=FoxAIAction_ThrowGrenade
        PreCondition=FoxAICondition_Group'Default__FoxAIControllerInterface_WanderingFighter.GrenadeGroup'
        Modifier=FoxAIModifier_ActivationCounter'Default__FoxAIControllerInterface_WanderingFighter.OneGrenade'
    object end
    // Reference: FoxAIAction_ThrowGrenade'Default__FoxAIControllerInterface_WanderingFighter.Throw'
    Behaviors(0)=Throw
    begin object name=FightStationary class=FoxAIAction_FightStationary
        PreCondition=FoxAICondition_HasEnemy'Default__FoxAIControllerInterface_WanderingFighter.HasEnemyTargetCondition'
    object end
    // Reference: FoxAIAction_FightStationary'Default__FoxAIControllerInterface_WanderingFighter.FightStationary'
    Behaviors(1)=FightStationary
    Behaviors(2)=FoxAIAction_Wander'Default__FoxAIControllerInterface_WanderingFighter.Wander'
    DefaultBehavior=FoxAIAction_LookRandom'Default__FoxAIControllerInterface_WanderingFighter.Idle'
    begin object name=Commands class=FoxAIAction_Selection
        SubActions(0)=FoxAIAction_GoTo'Default__FoxAIControllerInterface_WanderingFighter.Commands.Goto'
        SubActions(1)=FoxAIAction_FollowController'Default__FoxAIControllerInterface_WanderingFighter.Commands.Follow'
        SubActions(2)=FoxAIAction_Flee'Default__FoxAIControllerInterface_WanderingFighter.Commands.Flee'
        SubActions(3)=FoxAIAction_Wander'Default__FoxAIControllerInterface_WanderingFighter.Commands.Wander'
        SubActions(4)=FoxAIAction_SpecialMove'Default__FoxAIControllerInterface_WanderingFighter.Commands.Enter'
    object end
    // Reference: FoxAIAction_Selection'Default__FoxAIControllerInterface_WanderingFighter.Commands'
    ScriptedBehavior=Commands
}